Bug 127233 - Upgrade to 2.4.22-1.2197 disabled ide-scsi
Upgrade to 2.4.22-1.2197 disabled ide-scsi
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-04 20:27 EDT by Russell McOrmond
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:30:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell McOrmond 2004-07-04 20:27:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040116

Description of problem:
I was previously running kernel-2.4.22-1.2179.nptl and just upgraded
via YUM.  I access my CDROM drives (1 burner, 1 DVD reader) via the
ide-scsci interface.  While this worked on 2179, the devices were not
available on 2197.

Here id a DIFF from the DMESG output from the boot:

1c1
< Linux version 2.4.22-1.2197.nptl (bhcompile@daffy.perf.redhat.com)
(gcc version 3.2.3 20030422 (Red Hat Linux 3.2.3-6)) #1 Thu Jul 1
15:28:56 EDT 2004
---
> Linux version 2.4.22-1.2179.nptl (bhcompile@daffy.perf.redhat.com)
(gcc version 3.2.3 20030422 (Red Hat Linux 3.2.3-6)) #1 Tue Apr 13
10:14:30 EDT 2004
21c21
< Memory: 514388k/524288k available (1455k kernel code, 9512k
reserved, 1099k data, 136k init, 0k highmem)
---
> Memory: 514320k/524288k available (1455k kernel code, 9580k
reserved, 1099k data, 136k init, 0k highmem)
103c103
< Freeing initrd memory: 159k freed
---
> Freeing initrd memory: 227k freed
104a105,112
> SCSI subsystem driver Revision: 1.00
> hdc: attached ide-scsi driver.
> hde: attached ide-scsi driver.
> scsi0 : SCSI host adapter emulation for IDE ATAPI devices
>   Vendor: LG        Model: DVD-ROM DRD8160B  Rev: 1.00
>   Type:   CD-ROM                             ANSI SCSI revision: 02
>   Vendor: ATAPI     Model: CD-R/RW 8X4X32    Rev: 5.AX
>   Type:   CD-ROM                             ANSI SCSI revision: 02
111c119
< usb-uhci.c: $Revision: 1.275 $ time 15:43:38 Jul  1 2004
---
> usb-uhci.c: $Revision: 1.275 $ time 10:22:31 Apr 13 2004
161,165d168
< hdc: attached ide-cdrom driver.
< hdc: ATAPI 48X DVD-ROM drive, 512kB Cache, UDMA(33)
< Uniform CD-ROM driver Revision: 3.12
< hde: attached ide-cdrom driver.
< hde: ATAPI 32X CD-ROM CD-R/RW drive, 2048kB Cache
173,174c176,181
< SCSI subsystem driver Revision: 1.00
< inserting floppy driver for 2.4.22-1.2197.nptl
---
> Attached scsi CD-ROM sr0 at scsi0, channel 0, id 0, lun 0
> Attached scsi CD-ROM sr1 at scsi0, channel 0, id 1, lun 0
> sr0: scsi3-mmc drive: 0x/48x cd/rw xa/form2 cdda tray
> Uniform CD-ROM driver Revision: 3.12
> sr1: scsi3-mmc drive: 32x/32x writer cd/rw xa/form2 cdda tray
> inserting floppy driver for 2.4.22-1.2179.nptl
199c206
< Creative EMU10K1 PCI Audio Driver, version 0.20, 15:44:50 Jul  1 2004
---
> Creative EMU10K1 PCI Audio Driver, version 0.20, 10:23:06 Apr 13 2004



Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2197.nptl

How reproducible:
Always

Steps to Reproduce:
1. boot with new kernel
2. cannot access sr0 (and other ide-scsi devices)
3. boot with old kernel
4. All is fine...
    

Additional info:
Comment 1 Russell McOrmond 2004-08-31 14:33:48 EDT
Just a quick note that if I remove 'ide-cd' before doing the insmod
icd-scsi then all works with the new kernel as expected.  I don't know
if this will help with figuring out what the best thing to do in the
general case is, but it helps my immediate problem so that I can now
run the recent FC1 kernels.

--- rc.sysinit-orig     2003-11-17 14:53:20.000000000 -0500
+++ rc.sysinit  2004-08-31 14:28:21.000000000 -0400
@@ -723,7 +723,7 @@
  
 # If they asked for ide-scsi, load it
 if strstr "$cmdline" ide-scsi ; then
-       modprobe ide-cd >/dev/null 2>&1
+       rmmod ide-cd >/dev/null 2>&1
        modprobe ide-scsi >/dev/null 2>&1
 fi

[russell@amadpur rc.d]>uname -a
Linux amadpur.int.flora.ca 2.4.22-1.2199.nptl #1 Wed Aug 4 12:25:07
EDT 2004 i686 athlon i386 GNU/Linux

Comment 2 David Lawrence 2004-09-29 16:30:33 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.